---
- name: Prepare webservers
  hosts: all
  gather_facts: yes
  remote_user: root
  tasks:
    - name: Install packages
      ansible.builtin.apt:
        name: python3-pip
        update_cache: yes
        state: present

    - name: Install Docker Module for Python
      ansible.builtin.pip:
        name: docker

# BEGIN
- name: Deploy application
  hosts: webservers
  gather_facts: no
  remote_user: root
  tasks:
    - name: Run container
      # Используем модуль community.docker.docker_container
      # Для совместимости важно указывать полное имя модуля
      community.docker.docker_container:
        name: devops-example-app # Имя контейнера
        image: hexletcomponents/devops-example-app # Имя используемого образа
        # Публикуемые порты. Слева порт внутри контейнера,
        # справа порт по которому он будет доступен снаружи
        published_ports:
          - 5000:5000
        restart_policy: always
        restart: yes
        container_default_behavior: no_defaults
        pull: yes
        # Задаём переменные окружения внутри контейнера
        env:
          # Переменная server_message зашифрована с помощью Ansible Vault
          # https://docs.ansible.com/ansible/latest/user_guide/vault.html
          SERVER_MESSAGE: "{{ server_message }}"
# END
